<template>
  <div>
    <el-row :gutter="10">
      <el-col v-for="data in list" :key="data.value" :span="12">
        <el-card v-loading="listLoading" class="card">
          <el-row>
            <el-col :span="17" class="item-label">{{ data.label }}</el-col>
            <el-col :span="7" class="item-data">{{ data.value }}</el-col>
          </el-row>
        </el-card>
      </el-col>
    </el-row>
  </div>

</template>

<script>
import { fetchAspirasiCounts } from '@/api/dashboard'

export default {
  components: {},
  data() {
    return {
      list: null,
      listLoading: true
    }
  },
  created() {
    this.getApproval()
  },
  methods: {
    async getApproval() {
      this.listLoading = true
      const response = await fetchAspirasiCounts()
      this.list = [
        {
          label: this.$t('label.aspiration-accept'),
          value: response.data.STATUS_APPROVAL_PENDING
        },
        {
          label: this.$t('label.aspiration-publish'),
          value: response.data.STATUS_PUBLISHED
        }
      ]
      this.listLoading = false
    }
  }
}
</script>
<style lang="scss" scoped>
  .card {
    position: relative;
    height: 78px;
  }
  .item-data {
    position: relative;
    left: 70%;
    font-size: 28px;
    font-weight: 600;
    text-align: right;
  }
  .item-label {
    font-size: 15px;
    position: absolute;
    top: 30%;
  }
</style>
